#ifndef __NEW_H
#define __NEW_H

#ifdef __cplusplus
extern "C" {
#endif 

extern char * __operator_new(unsigned int size);
extern char * __operator_new_array(unsigned int number, unsigned int size);
extern void __operator_delete(char * ptr);
extern void __operator_delete_array(char * ptr, unsigned int size);
extern char * __temp_ptr;
extern unsigned int __size;
extern unsigned int __index;
extern char * __call_constructor(char * ptr, unsigned int size, char * constructor);
extern char * __set_vptr2(char * p_class, char ** vptr, char * vf, unsigned int i);
#define __set_vptr(p_class,vf,i) (__set_vptr2(p_class,p_class->vptr,vf,i))

#ifdef __cplusplus
}
#endif

#endif /* __NEW_H */
